<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetClientLog Method (IEdmVault15)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVault15 Interface : GetClientLog Method (IEdmVault15)

Visual Basic
C#
C++/CLI

pbsRetLogs
  Contents of the current user's log

Gets the contents of the current user's log.

# Syntax

Visual Basic |
--- | ---

    Sub GetClientLog( _
       ByRef pbsRetLogs As System.String _
    )

C# |
--- | ---

    void GetClientLog(
       out System.string pbsRetLogs
    )

C++/CLI |
--- | ---

    void GetClientLog(
    &   [Out] System.String^ pbsRetLogs
    )

#### Parameters

pbsRetLogs
  Contents of the current user's log

# Example

Traverse Folders and Files in Vault (VB.NET)
Traverse Folders and Files in Vault (C#)

# Remarks

The current user's log appears when you click SOLIDWORKS PDM Administration > Local Settings > Log File in the SOLIDWORKS PDM Administration Tool. This method returns the full log.

# See Also

####

IEdmVault15 Interface
IEdmVault15 Members

# Availability

SOLIDWORKS PDM Professional 2015 SP03